Bug 94718 - kshisen sometimes segfaults at application quit
Summary: kshisen sometimes segfaults at application quit
Status: RESOLVED FIXED
Alias: None
Product: kshisen
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: RedHat Enterprise Linux Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Dave Corrie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-09 00:35 UTC by Tim Ruppel
Modified: 2005-08-06 19:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Ruppel 2004-12-09 00:35:59 UTC
Version:           1.5.1 (using KDE KDE 3.3.1)
Installed from:    RedHat RPMs
OS:                Linux

Occasionally, after running kshisen for a few minutes, and then quitting, the KDE crash reporter pops up claiming the program segfaulted.

Here is the backtrace:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -151161152 (LWP 20882)]
[KCrash handler]
#4  0x00000000 in ?? ()
#5  0x03d7a76b in qt_inheritedBy () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#6  0x002ccb76 in qt_cast<QLineEdit*> () from /usr/lib/libkdecore.so.4
#7  0x0028f16c in KApplication::notify () from /usr/lib/libkdecore.so.4
#8  0x03ca963a in QETWidget::translateKeyEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x03cb061b in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x03cc4495 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x03d30a01 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x03d30956 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0x03d192ef in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x0805e947 in ?? ()
#15 0xfef5e870 in ?? ()
#16 0x09fa4c40 in ?? ()
#17 0x00000000 in ?? ()
Comment 1 Tommi Rantala 2005-06-04 16:58:30 UTC
I always get segfault when pressing Ctrl-Q. Selecting Game->Quit works OK.

Same backtrace, Shisen-Sho 1.5.1 / KDE 3.4.1.
Comment 2 Tommi Rantala 2005-06-04 17:13:43 UTC
This fixes the crash for me:

Index: app.cpp
===================================================================
--- app.cpp     (revision 422109)
+++ app.cpp     (working copy)
@@ -141,7 +141,6 @@

 void App::quitGame()
 {
-       delete this;
        kapp->quit();
 }
Comment 3 Dave Corrie 2005-08-06 19:39:54 UTC
SVN commit 443589 by davec:

Fix crash on exit (patch by Tommi Rantala)
BUG: 94718


 M  +0 -1      app.cpp  


--- branches/KDE/3.4/kdegames/kshisen/app.cpp #443588:443589
@@ -141,7 +141,6 @@
 
 void App::quitGame()
 {
-	delete this;
 	kapp->quit();
 }